Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleTabBar Class Reference

The QAccessibleTabBar class implements the QAccessibleInterface for tab bars. More...

    #include <QAccessibleTabBar>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Functions

- QAccessibleTabBar ( QWidget * w )
- QVector<int> selection () const
- bool setSelected ( int child, bool on, bool extend )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- QTabBar * tabBar () const

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleTabBar class implements the QAccessibleInterface for tab bars.

## Member Function Documentation

### QAccessibleTabBar::QAccessibleTabBar ( QWidget * w )

Constructs a QAccessibleTabBar object for w.

### QVector<int> QAccessibleTabBar::selection () const

Returns a (possibly empty) list of indexes of the items selected in the list box.

See also setSelected() and clearSelection().

### bool QAccessibleTabBar::setSelected ( int child, bool on, bool extend )

Selects the item with index child if on is true; otherwise unselects it. If extend is true and the selection mode is not `Single` and there is an existing selection, the selection is extended to include all the items from the existing selection up to and including the item with index child. Returns true if a selection was made or extended; otherwise returns false.

See also selection() and clearSelection().

### QTabBar * QAccessibleTabBar::tabBar () const `[protected]`

Returns the QTabBar.